Announcement

Collapse
No announcement yet.

Squeezebox Radio would not connect to LMS 8: "Update required"

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Thanks Michael and Slartibartfast!

    I did mean I was looking for 7.8 for my SB Touch's and not 8.0 and didn't even know there was unofficial community firmware available.

    So it still wasn't giving me the 7.8 firmware update option on the SB Touch's, so I enabled "Community Firmware" in LMS 8.1.0 and it restarted LMS and then my two SB Touch's immediately were telling me I could update to 7.8.0 r16754, woohoo!
    So maybe LMS just needed another reboot, or maybe it was enabling that "Community Firmware"...

    I still have the red warning about outdated firmware in LMS, but maybe it will go away with a reboot (or maybe if I put community firmware on SB Radio's).

    So, I could have done (and can still do) "Community Firmware" on my three SB Radio's instead of 7.7.3-r16676 and the Version Comparison patch?

    Thanks!!!!!!!!!!

    Comment


      Hello
      I have three Radios with firmware 7.7.3-r16676.
      On Raspberry I have OSMC (it is based on Debian) and installed Logitech Media Server Version: 8.1.1 - 1610364019

      All works OK. But waiting for software updating (and for new firmware for radios) but unf. nothing...
      Checking from time to time Advanced/Software Updates but got msg "There's no updated Logitech Media Server version available."
      How to maybe more force ask for update? I can use command line if needed.

      Rgrds!
      LMS on RPi4 (OSMC) + SB3 + 3xRadio

      Comment


        Originally posted by L0O View Post
        Hello
        I have three Radios with firmware 7.7.3-r16676.
        On Raspberry I have OSMC (it is based on Debian) and installed Logitech Media Server Version: 8.1.1 - 1610364019

        All works OK. But waiting for software updating (and for new firmware for radios) but unf. nothing...
        Checking from time to time Advanced/Software Updates but got msg "There's no updated Logitech Media Server version available."
        How to maybe more force ask for update? I can use command line if needed.

        Rgrds!
        Have you installed the community firmware plugin?

        Sent from my Pixel 3a using Tapatalk
        Living Room: Touch or Squeezelite (Pi3B) > Topping E30 > Audiolab 8000A > Monitor Audio S5 + BK200-XLS DF
        Bedroom: Radio
        Bathroom: Radio

        Comment


          Yup, installed. I forgot to mention... Sorry.
          LMS on RPi4 (OSMC) + SB3 + 3xRadio

          Comment


            Originally posted by L0O View Post
            Yup, installed. I forgot to mention... Sorry.
            And ticked the box to enable it?

            Sent from my Pixel 3a using Tapatalk
            Living Room: Touch or Squeezelite (Pi3B) > Topping E30 > Audiolab 8000A > Monitor Audio S5 + BK200-XLS DF
            Bedroom: Radio
            Bathroom: Radio

            Comment


              The plugin isn't working for me, either. Is there anything that needs to be enabled on the Radio itself?

              Comment


                Originally posted by JJZolx View Post
                The plugin isn't working for me, either. Is there anything that needs to be enabled on the Radio itself?
                Nope just tick the box in the plugin settings.

                Sent from my Pixel 3a using Tapatalk
                Living Room: Touch or Squeezelite (Pi3B) > Topping E30 > Audiolab 8000A > Monitor Audio S5 + BK200-XLS DF
                Bedroom: Radio
                Bathroom: Radio

                Comment


                  Originally posted by slartibartfast View Post
                  Nope just tick the box in the plugin settings.
                  Ah, ok. Didn't realize there were any settings for the plugin, since there's no link shown here:

                  Click image for larger version

Name:	c.png
Views:	1
Size:	18.2 KB
ID:	1570971

                  Comment


                    Originally posted by JJZolx View Post
                    Ah, ok. Didn't realize there were any settings for the plugin, since there's no link shown here:

                    [ATTACH]32975[/ATTACH]
                    Ah must just be in Advanced Settings. In Material skin it shows up under plugins [emoji3]

                    Sent from my Pixel 3a using Tapatalk
                    Living Room: Touch or Squeezelite (Pi3B) > Topping E30 > Audiolab 8000A > Monitor Audio S5 + BK200-XLS DF
                    Bedroom: Radio
                    Bathroom: Radio

                    Comment


                      LMS > Settings > Advanced > Community Firmware for SqueezeBox Touch/Radio/Controller

                      Tick the box.

                      Click image for larger version

Name:	firmware.jpg
Views:	1
Size:	26.0 KB
ID:	1570973
                      Server - LMS 8.4.0 RPi4B 4GB/NanoSound ONE case/pCP 8.1.0 - 75K library, playlists & LMS cache on Sata SSD (ntfs)

                      Lounge - DAC32 - AudioEngine B2
                      Office - RPi 3B+/HiFiBerry DAC HAT/RPi screen - Edifier D12
                      Bedroom - Echo Show 8

                      Spares - 1xSB Touch, 1xSB3, 4xRPi, AVI DM5 speakers

                      Comment


                        Hello!
                        Got the firmware. Now it is: 8.0.1-r16824 - is that correct? May I update LMS to 8.2.0?
                        LMS on RPi4 (OSMC) + SB3 + 3xRadio

                        Comment


                          Originally posted by L0O View Post
                          Hello!
                          Got the firmware. Now it is: 8.0.1-r16824 - is that correct? May I update LMS to 8.2.0?
                          Yes r16824 is the latest community firmware and you can update to LMS 8.2. The firmware version will stay the same.
                          Ralphy

                          1-Touch, 5-Classics, 3-Booms, 2-UE Radio
                          Squeezebox client builds donations always appreciated.

                          Comment


                            So, I have been running LMS v8.1.2 for some time (and before that 8.1.1 etc)

                            I performed the "Radio" patch quite a while ago and have been plagued with intermitant warnings that the Radio needs patching.

                            Normally this would occur after either a LMS or Plugin update.

                            Restarting LMS dismissed the warning.

                            Today I became more than slightly irritated by yet another occurence.

                            So I downgraded my Windows 10 LMS to v7.9.3.

                            I reset the Radio to Factory Default, connect it to the LMS v7.9.3 and performed the patch routine.

                            Swapped the Radio to LMS v8.1.2 running on a rpi4b and guess what /

                            Correctomundo!!!

                            Click image for larger version

Name:	radio warning 4.png
Views:	1
Size:	23.4 KB
ID:	1571103

                            GIve me strength!!

                            ronnie

                            Comment


                              Originally posted by Man in a van View Post
                              So, I have been running LMS v8.1.2 for some time (and before that 8.1.1 etc)

                              I performed the "Radio" patch quite a while ago and have been plagued with intermitant warnings that the Radio needs patching.

                              Normally this would occur after either a LMS or Plugin update.

                              Restarting LMS dismissed the warning.

                              Today I became more than slightly irritated by yet another occurence.

                              So I downgraded my Windows 10 LMS to v7.9.3.

                              I reset the Radio to Factory Default, connect it to the LMS v7.9.3 and performed the patch routine.

                              Swapped the Radio to LMS v8.1.2 running on a rpi4b and guess what /

                              Correctomundo!!!

                              [ATTACH]33132[/ATTACH]

                              GIve me strength!!

                              ronnie
                              You could update to the community firmware [emoji3]

                              Sent from my Pixel 3a using Tapatalk
                              Living Room: Touch or Squeezelite (Pi3B) > Topping E30 > Audiolab 8000A > Monitor Audio S5 + BK200-XLS DF
                              Bedroom: Radio
                              Bathroom: Radio

                              Comment


                                Originally posted by slartibartfast View Post
                                You could update to the community firmware [emoji3]

                                Sent from my Pixel 3a using Tapatalk
                                The problem is the third party plugins under "Patch installer" are not available to the community firmware.

                                Comment

                                Working...
                                X